petsc-3.12.4 2020-02-04
Report Typos and Errors

# MATSEQBAIJ

MATSEQBAIJ = "seqbaij" - A matrix type to be used for sequential block sparse matrices, based on block sparse compressed row format.

### Options Database Keys

-mat_type seqbaij -sets the matrix type to "seqbaij" during a call to MatSetFromOptions()

### Notes

MatSetOptions(,MAT_STRUCTURE_ONLY,PETSC_TRUE) may be called for this matrix type. In this no space is allocated for the nonzero entries and any entries passed with MatSetValues() are ignored

### See Also

MatCreateSeqBAIJ()

### Level

beginner

### Location

src/mat/impls/baij/seq/baij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages